(function(api) {

  api.sectionConstructor['workwaves-upsell'] = api.Section.extend({
      attachEvents: function() {},
      isContextuallyActive: function() {
          return true;
      }
  });

  const workwaves_section_lists = ['banner', 'service'];
  workwaves_section_lists.forEach(workwaves_homepage_scroll);

  function workwaves_homepage_scroll(item) {
      item = item.replace(/-/g, '_');
      wp.customize.section('workwaves_' + item + '_section', function(section) {
          section.expanded.bind(function(isExpanding) {
              wp.customize.previewer.send(item, { expanded: isExpanding });
          });
      });
  }
})(wp.customize);